<?
class Database {

	var $dbHost,
		$dbUser,
		$dbPass,
		$dbName,
		$dbPersistent;

	var $dbConnection,
		$dbResult;

    // Constructor assigns the supplied arguments, makes the connection, and selects the database
    function Database($dbHost, $dbUser, $dbPass, $dbName, $dbPersistent = FALSE) {
        // Assign supplied arguments to object variables
		$this->dbHost = $dbHost;
		$this->dbUser = $dbUser;
		$this->dbPass = $dbPass;
		$this->dbName = $dbName;

		// Make the connection
		if($dbPersistent) {
			$this->dbConnection = @mysql_pconnect($this->dbHost, $this->dbUser, $this->dbPass);
		}
		else {
			$this->dbConnection = @mysql_connect($this->dbHost, $this->dbUser, $this->dbPass);
		}

		if(!$this->dbConnection) {
			return FALSE;
		}
		else {
			return @mysql_select_db($this->dbName);
		}
	} // End Database()

	// ->list_tables functions like mysql_list_tables
	function list_tables($db) {
		return mysql_list_tables($db);
	} // End list_tables()

	// ->tablename() functions like mysql_tablename
	function tablename($result, $i) {
		return mysql_tablename($result, $i);
	} // End tablename()

	// ->insert_id function like mysql_insert_id
	function insert_id() {
		return mysql_insert_id();
	} // End insert_id()

	//  ->close functions exactly like mysql_close
	function close() {
		mysql_close();
	} // End close()

	// ->query() functions exactly like mysql_query
	function query($query) {
		$this->dbResult = @mysql_query($query);
		return $this->dbResult;
	} // End query()

	// ->fetch_array() functions exactly like mysql_fetch_array
	function fetch_array($dbResult = NULL) {
		if(!$dbResult) {
			$dbResult = $this->dbResult;
		}
		return mysql_fetch_array($dbResult, MYSQL_ASSOC);
	} // End fetch_array()

	// ->affected_rows functions exactly like mysql_affected_rows
	function affected_rows($dbResult = NULL) {
		if(!$dbResult) {
			$dbResult = $this->dbResult;
		}
		return mysql_affected_rows($dbResult);
	} // End affected_rows()

	// ->error functions exactly like mysql_error
	function error() {
		return mysql_error();
	} // End error()

	// ->num_rows functions exactly like mysql_num_rows
	function num_rows($dbResult = NULL) {
		if(!$dbResult) {
			$dbResult = $this->dbResult;
		}
		return mysql_num_rows($dbResult);
	} // End num_rows()

	// ->select_db functions exactly like mysql_select_db
	function select_db($db) {
		if(!$db) {
			return FALSE;
		}
		else {
			return mysql_select_db($db);
		}
	} // End select_db()

} // End class Database
?>
